/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.binding.ws.axis2.control.jaxb;

import org.fabric3.spi.generator.GenerationException;

/**
 * @version $Rev: 6283 $ $Date: 2008-12-18 18:15:18 -0800 (Thu, 18 Dec 2008) $
 */
public class MissingFaultInfoException extends GenerationException {

	private static final long serialVersionUID = -7430125382485707975L;

	/**
	 * Create a Missing Fault Exception by a given Identifier 
	 * @param identifier
	 */
    public MissingFaultInfoException(String identifier) {
        super(identifier);
    }

    /**
     * Return the Message to this Exception
     */
    public String getMessage() {
        return "Exception class does not have getFaultInfo() method required by JAX-WS: " + getIdentifier();
    }
}